<template>
  <div class="catalog-page">
    <div class="container">
      <div class="wrapper-box">
        <div class="menu-sidebar">
          <MenuSidebar />
        </div>
        <div class="main">
          <div class="tabs-panel">
            <ul>
              <li
                v-for="(tab, index) in tabs"
                @click="currentTab = index"
                :key="index"
                :class="{ active: currentTab === index }"
              >
                {{ tab }}
              </li>
            </ul>
          </div>
          <div class="tabs-content">
            <div class="all-ladies" v-if="currentTab === 0">
              <!-- <h1>its All Ladies</h1> -->
            </div>
            <div class="new-ladies" v-else-if="currentTab === 1">
              <h1>its New Ladies</h1>
            </div>
            <div class="basic-search" v-else-if="currentTab === 2">
              <h1>its Basic Search</h1>
            </div>
            <div class="advanced-search" v-else>
              <h1>its Advanced Search</h1>
            </div>
          </div>
          <div class="content-box">
            <div class="ladies-cards">
              <div class="card-box">
                <div class="image">
                  <img src="./img/cardImage.png" alt="image">
                </div>
                <div class="buttons">
                  <div class="email">
                    <button>Email me</button>
                  </div>
                  <div class="flirt">
                    <button>Free flirt</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="chat-sidebar"></div>
      </div>
    </div>
  </div>
</template>

<script>
import MenuSidebar from "@/components/MenuSidebar";
export default {
  data: () => ({
    currentTab: 0,
    tabs: ["All ladies", "New Ladies", "Basic Search", "Advanced Search"],
  }),

  components: {
    MenuSidebar,
  },
};
</script>

<style lang='scss' src='./styles.scss'>
</style>